%define upstream_name    Class-ISA
%define upstream_version 0.36

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Report the search path thru an ISA tree
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Class/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(if)
BuildArch: noarch


%description
Suppose you have a class (like Food::Fish::Fishstick) that is derived, via
its @ISA, from one or more superclasses (as Food::Fish::Fishstick is from
Food::Fish, Life::Fungus, and Chemicals), and some of those superclasses
may themselves each be derived, via its @ISA, from one or more superclasses
(as above).

When, then, you call a method in that class ($fishstick->calories), Perl
first searches there for that method, but if it's not there, it goes
searching in its superclasses, and so on, in a depth-first (or maybe
"height-first" is the word) search. In the above example, it'd first look
in Food::Fish, then Food, then Matter, then Life::Fungus, then Life, then
Chemicals.

This library, Class::ISA, provides functions that return that list -- the
list (in order) of names of classes Perl would search to find a method,
with no duplicates.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc README ChangeLog
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.360.0-5.mga4
+ Revision: 510159
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.360.0-4.mga3
+ Revision: 364387
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Feb 21 2011 jquelin <jquelin> 0.360.0-3.mga1
+ Revision: 55481
- rebuild

* Tue Jan 18 2011 jquelin <jquelin> 0.360.0-2.mga1
+ Revision: 22149
- cleaning spec file
- imported package perl-Class-ISA

